# drill

## `drill`

**触发效果**[**​**](https://plugins.auxilor.io/effects/all-effects/drill#triggered-effect)

挖掘面前的方块。

## 示例配置

```yaml
- id: drill
  args:
    amount: 4 # 挖掘方块的数量
    blacklisted_blocks: # 不挖掘的方块
      - obsidian
    check_hardness: true # 是否只挖掘比触发器方块硬度低和一样的方块
    disable_on_sneak: true # 是否潜行后不激活
    whitelist: [] # 只挖掘的方块
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/auxilor-plugins/zi-ding-yi-xiao-guo/suo-you-xiao-guo/drill.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
